Loading...
Searching...
No Matches
volk_8u_x2_add_saturated_8u.h File Reference
`#include <inttypes.h>`
`#include <emmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_8u_x2_add_saturated_8u_a_H

## Functions

static void | volk_8u_x2_add_saturated_8u_generic (uint8_t *outVector, const uint8_t *inVectorA, const uint8_t *inVectorB, unsigned int num_points)
static void | volk_8u_x2_add_saturated_8u_u_sse2 (uint8_t *outVector, const uint8_t *inVectorA, const uint8_t *inVectorB, unsigned int num_points)
static void | volk_8u_x2_add_saturated_8u_a_sse2 (uint8_t *outVector, const uint8_t *inVectorA, const uint8_t *inVectorB, unsigned int num_points)
static void | volk_8u_x2_add_saturated_8u_neon (uint8_t *outVector, const uint8_t *inVectorA, const uint8_t *inVectorB, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_8u_x2_add_saturated_8u_a_H

#define INCLUDED_volk_8u_x2_add_saturated_8u_a_H

## Function Documentation

## volk_8u_x2_add_saturated_8u_a_sse2()

void volk_8u_x2_add_saturated_8u_a_sse2 | ( | uint8_t * | outVector,
|  | const uint8_t * | inVectorA,
|  | const uint8_t * | inVectorB,
|  | unsigned int | num_points )

inline static

## volk_8u_x2_add_saturated_8u_generic()

void volk_8u_x2_add_saturated_8u_generic | ( | uint8_t * | outVector,
|  | const uint8_t * | inVectorA,
|  | const uint8_t * | inVectorB,
|  | unsigned int | num_points )

inline static

## volk_8u_x2_add_saturated_8u_neon()

void volk_8u_x2_add_saturated_8u_neon | ( | uint8_t * | outVector,
|  | const uint8_t * | inVectorA,
|  | const uint8_t * | inVectorB,
|  | unsigned int | num_points )

inline static

## volk_8u_x2_add_saturated_8u_u_sse2()

void volk_8u_x2_add_saturated_8u_u_sse2 | ( | uint8_t * | outVector,
|  | const uint8_t * | inVectorA,
|  | const uint8_t * | inVectorB,
|  | unsigned int | num_points )

inline static